力扣刷题--1534. 统计好三元组【简单】

题目描述

给你一个整数数组 arr ,以及 a、b 、c 三个整数。请你统计其中好三元组的数量。

如果三元组 (arri, arrj, arrk) 满足下列全部条件,则认为它是一个 好三元组 。

0 <= i < j < k < arr.length

|arri - arrj| <= a

|arrj - arrk| <= b

|arri - arrk| <= c

其中 |x| 表示 x 的绝对值。

返回 好三元组的数量 。

示例 1:

输入:arr = 3,0,1,1,9,7, a = 7, b = 2, c = 3

输出:4

解释:一共有 4 个好三元组:(3,0,1), (3,0,1), (3,1,1), (0,1,1) 。

示例 2:

输入:arr = 1,1,2,2,3, a = 0, b = 0, c = 1

输出:0

解释:不存在满足所有条件的三元组。

提示:

3 <= arr.length <= 100

0 <= arri <= 1000

0 <= a, b, c <= 1000

算法分析

暴力求解,三层for循环

完整代码

cpp 复制代码
class Solution {
public:
    int countGoodTriplets(vector<int>& arr, int a, int b, int c) {
        int count=0; 
        int n=arr.size();  
        for(int i=0;i<n;i++)  
        {
            for(int j=i+1;j<n;j++)  
            {
                for(int k=j+1;k<n;k++)  
                {
                    if((abs(arr[i]-arr[j])<=a)&&(abs(arr[j]-arr[k])<=b)&&(abs(arr[i]-arr[k])<=c))


                        count++;  
                }
            }
            
        }
        return count;  
    }
};

本篇完!

相关推荐
hanlin0315 小时前
刷题笔记:力扣第32题-最长有效括号
笔记·算法·leetcode
All for pursuit.15 小时前
【动态规划-21】312.戳气球
数据结构·c++·算法·leetcode·动态规划
碧海银沙音频科技研究院18 小时前
基于炬芯ATS3089X自研AEC声学回声消除算法
算法
通问AI18 小时前
在两台 Mac Studio 上跑 800B 模型:MLX + RDMA over Thunderbolt 实测与四道门选型法
算法
ZywOo62318 小时前
《算法竞赛进阶指南》0x03 前缀和与差分
算法
Scintilla_y18 小时前
DAY2 滑动窗口
算法·leetcode·散列表
lvwangshu18 小时前
笛卡尔树
算法·图论
026d2319 小时前
状态信号只知“其然”不知“其所以然”:变工况机械故障诊断的物理盲区
算法
姜鱼问生19 小时前
备份和服务器在同一台机器上,等于没备份
算法·架构
姜鱼问生19 小时前
别再 chmod 777 了,用 ACL 给它开一扇窗
后端·算法·架构